# Create rpm package with usual location and root ownership of files.
# However, I have made consistent changes so that this package can be
# generated (as opposed to installed) in a non-critical area by **any user**
# (root or non-root).  In my opinion this is the only safe way to generate
# packages.  The only un-safe part is actually installing (as opposed to
# generating) the package.  However, before the install you should be checking
# the file list, file attributes, and scripts in any case to make sure you are not
# overwriting something critical.
# N.B Use rm -rf /tmp/software/redhat_install_area/yplot before building
# this package.  This could be done automatically, but it is safer
# to do it by hand since BuildRoot can be overridden from outside.
BuildRoot: /tmp/software/redhat_install_area/yplot
# N.B. note use of $RPM_BUILD_ROOT in the %prep and %install areas.
Summary: yplot 2D/3D interactive plotting package built on plplot and yorick.
Packager: Conrad Steenberg <conrad@srl.caltech.edu>, Alan W. Irwin <irwin@uvastro.phys.uvic.ca>
Name: yplot
Version: 1.0.0
Release: 1
Source: http://www.srl.caltech.edu/personnel/conrad/yplot-1.0.0.tar.gz
URL: http://www.srl.caltech.edu/personnel/conrad/yplot.html
Copyright: GPL
Group: Applications/Math
requires: yorick >= 1.4, plplot >= 990122
%description

This is the distribution for yplot. yplot is an interface to the PLPlot
plotting library written as an extension of yorick. This combination allows
one to quickly and easily create high-quality scientific plots from data,
even in large structured files. yplot implements 2D line and scatter plots,
contour plots, 3D surface, mesh and scatter and line plots. The user is
given full control over every aspect of the plot, including symbol types,
line types, label placement, fonts, etc. The results can therefore be
made suitable for high-quality scientific presentation. A 60 page Postscript
tutorial is included with examples and a reference section.

%prep
%setup
%build
# N.B. there is a name clash of the filename Makefile, hence must use
#   Makefile.build to create yplot.i, yplotl.i, yplot, and yplotl
make -f Makefile.build
%install
# ROOT must be defined to put install result in safe area for non-root user
make ROOT="$RPM_BUILD_ROOT" -f Makefile.build install 
%files
%attr(-, root, root) %doc README COPYING DEVICES INSTALL yplot-1.0.0.lsm doc/*
%attr(-, root, root) /usr/bin/yplot
%attr(-, root, root) /usr/bin/yplotl
%attr(-, root, root) /usr/lib/yorick/1.4/contrib/yplot.i
%attr(-, root, root) /usr/lib/yorick/1.4/contrib/yplotl.i
